# FaderPageWizard class Null safety

Inheritance
  - Object
  - NewAppWizardInfo
  - NewAppWizardInfoWithActionSpecification
  - FaderPageWizard

## Constructors

FaderPageWizard()

## Properties

displayName → String
  final, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
newAppWizardName → String
  final, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
wizardWidgetLabel → String
  final, inherited

## Methods

getAction(String uniqueId, NewAppWizardParameters parameters, AppModel app, String actionType) → ActionModel?
  override
getCreateTasks(String uniqueId, AppModel app, NewAppWizardParameters parameters, MemberModel member, HomeMenuProvider homeMenuProvider, AppBarProvider appBarProvider, DrawerProvider leftDrawerProvider, DrawerProvider rightDrawerProvider) → List<NewAppTask>?
  override
getMenuItemsFor(String uniqueId, AppModel app, NewAppWizardParameters parameters, MenuType type) → List<MenuItemModel>?
  inherited
getPackageName() → String
  override
getPageID(String uniqueId, NewAppWizardParameters parameters, String pageType) → String?
  override
getPublicMediumModel(String uniqueId, NewAppWizardParameters parameters, String mediumType) → PublicMediumModel?
  override
getThoseMenuItems(String uniqueId, AppModel app) → List<MenuItemModel>?
  override
menuItemFader(String uniqueId, AppModel app, dynamic pageID, dynamic text) → MenuItemModel
newAppWizardParameters() → NewAppWizardParameters
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
toString() → String
  A string representation of this object. [...]
  inherited
updateApp(String uniqueId, NewAppWizardParameters parameters, AppModel adjustMe) → AppModel
  override
wizardParametersWidget(AppModel app, BuildContext context, NewAppWizardParameters parameters) → Widget
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

faderComponentIdentifier ↔ String
  read / write
faderPageId ↔ String
  read / write